writer2latex (1.6.1-3) unstable; urgency=medium

  * install w2lconfig extension in libreoffice-writer2latex

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2025 10:02:32 +0100

writer2latex (1.6.1-2) unstable; urgency=medium

  * add autopkgtests (latex and xhtml separately) testing --convert-to in
    libreoffice with the respective extension installed

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Dec 2025 00:31:19 +0100

writer2latex (1.6.1-1) unstable; urgency=medium

  [ Rene Engelhard ]
  * "New" upstream version 1.6.1 (closes: #920354)
  * remove apparently obsolete (Build-)Depends on xalan and xerces 
  * fix -writer2latex javaX-runtime depends
  * fix bug scripts 
  * update copyright/README.source for getting it from sfs svn
  * debian/tests/*: add initial autopkgtest converting user-manual.odt,
    prepare running pdflatex on the convrted file (which doesn't work since
    texlive 2025.06 due to a texlive bug)
  * update source/lintian-overrides

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Dec 2025 10:20:14 +0100

writer2latex (1.4-11) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 12.
    + Replace deprecated -s with -a.
  * Set debhelper-compat version in Build-Depends.
  * Apply multi-arch hints.
    + libwriter2latex-java-doc, writer2latex-manual: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster:
    + Build-Conflicts: Drop constraint on ant.
    + Build-Depends: Drop versioned constraint on default-jdk.
    + libreoffice-writer2latex: Drop versioned constraint on libreoffice-core
      and libreoffice-java-common in Depends.
    + libreoffice-writer2latex: Drop versioned constraint on libreoffice-common,
      libreoffice-core and ure in Conflicts.
    + libreoffice-writer2xhtml: Drop versioned constraint on libreoffice-core
      and libreoffice-java-common in Depends.
    + libreoffice-writer2xhtml: Drop versioned constraint on libreoffice-common,
      libreoffice-core and ure in Conflicts.

  [ Mattia Rizzolo ]
  * Rewrite d/rules using the dh sequencer.
  * Move installation of examples to an .examples file, out of d/rules.
  * Bump debhelper compat version to 13.
  * Fix lintian tag debian-news-entry-uses-asterisk.
  * Remove several lintian overrides that have been fixed.
  * Bump Standards-Version to 4.6.0:
    + Set Rules-Requires-Root: no.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 24 Sep 2021 12:01:35 +0200

writer2latex (1.4-10) unstable; urgency=medium

  * (build-)depend on liblibreoffice-java instead of the old compat libs

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Jul 2020 23:12:41 +0200

writer2latex (1.4-9) unstable; urgency=medium

  * make writer2latex depend on default-jre | java6-runtime as the
    other subpackages (closes: #964954)
  * clean up java lib (build-)Depends:
    - use jh_depends, build-depend on javahelper
    - explicitely (build-)depend on libjurt-java, libjuh-java, libridl-java,
      libunoil-java to document their usage instead of libreoffice-java-common
      (and ure)

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Jul 2020 18:29:19 +0200

writer2latex (1.4-8) unstable; urgency=medium

  * remove code changes of no_JSON.diff and use libandroid-json-java.
  * move more java5-runtime to java6-runtimes

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2018 21:51:10 +0100

writer2latex (1.4-7) unstable; urgency=medium

  * Revert "remove code changes of no_JSON.diff and use libandroid-json-java"
    for now...

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2018 20:59:52 +0100

writer2latex (1.4-6) unstable; urgency=medium

  * build-depend on libjaxb-java and add jaxb-api.jar to main.class.path,
    thanks Emmanuel Bourg for the hint (closes: #912270)
  * remove code changes of no_JSON.diff and use libandroid-json-java
  * java2-runtime -> java6-runtime in Depends:...

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2018 18:47:00 +0000

writer2latex (1.4-5) unstable; urgency=medium

  * also update libreoffice-writer2xhtml...

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Apr 2018 12:02:18 +0200

writer2latex (1.4-4) unstable; urgency=medium

  * update Vcs-* to salsa
  * remove g(c|i)j alternatives in Depends:

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Apr 2018 17:52:22 +0000

writer2latex (1.4-3) unstable; urgency=medium

  * debian/patches/no-built-by.diff: don't write Built-By: into the manifest
    so that the build really gets reproducible

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Aug 2017 20:54:15 +0000

writer2latex (1.4-2) unstable; urgency=medium

  * use <arg value="-notimestamp"/> for javadoc to make them
    reproducible (closes: #860098)
  * bump debian/compat to 9

 -- Rene Engelhard <rene@debian.org>  Sat, 27 May 2017 11:35:24 +0200

writer2latex (1.4-1) unstable; urgency=medium

  * New upstream release

  * use default-jdk as we require Java 6 now

  * debian/patches/no-JSON.diff: don't require org.JSON which is under
    the "shall be used for Good, not Evil." clause... (and therefore
    removed from the orig)
  * move from dpatch to 3.0 (quilt)

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Dec 2015 21:48:37 +0100

writer2latex (1.0.2-10) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 00:59:31 +0200

writer2latex (1.0.2-9) experimental; urgency=low

  * "steal" patch from RedHat to adapt to LO 4.0 API Changes

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Apr 2013 19:08:45 +0200

writer2latex (1.0.2-8) unstable; urgency=medium

  * Fix build with LibreOffice 3.5, thanks Colin Watson (closes: #669423)

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Apr 2012 01:07:04 +0200

writer2latex (1.0.2-7) unstable; urgency=low

  * remove obsolete debian/po (closes: #619659)
  * install source/java/writer2latex/xhtml/config/*.xml,
    thanks Samuel Thibault (closes: #639736)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2012 22:05:34 +0100

writer2latex (1.0.2-6) unstable; urgency=high

  * fix build with LibreOffice 3.4

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Sep 2011 17:10:58 +0200

writer2latex (1.0.2-5) unstable; urgency=low

  * remove spaces at the end of package descriptions (closes: #614214)
  * fix convertingconverts (closes: #618772, #618773)

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Mar 2011 15:54:23 +0100

writer2latex (1.0.2-4) unstable; urgency=low

  * fix/update package descriptions (closes: #613577, #613579)
  * add Vcs-{Git,Browser}

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Feb 2011 14:24:24 +0000

writer2latex (1.0.2-3) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Feb 2011 11:19:28 +0000

writer2latex (1.0.2-2) experimental; urgency=low

  * change maintainer to Debian LibreOffice Maintainers
  * don't gzip .odt files (closes: #610311)
  * don't predefine printer settings and name (PrinterSetup and
    PrinterName in settings.xml) in user-manual.odt (closes: #610312)
  * rename to libreoffice-writer2* and install them unpacked
  * remove Pre-Depends; now finally not needed anymore, yay

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Jan 2011 23:11:06 +0100

writer2latex (1.0.2-1) unstable; urgency=low

  * new upstream release
  * remove check_for_running_ooo as for OOo itself

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Nov 2010 00:44:13 +0100

writer2latex (1.0-12) unstable; urgency=medium

  * hack: remove Pre-Depends on openoffice.org-java-common  again, add
    to Depends: instead (see #571771). The gack from 1.0-6 also still
    needed

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Apr 2010 23:56:47 +0200

writer2latex (1.0-11) unstable; urgency=low

  * revert back to build-depending on ant, as ant is now fixed;
    add build-conflicts against ant 1.8.0-{1,2,3}

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Mar 2010 01:03:04 +0100

writer2latex (1.0-10) unstable; urgency=low

  * build-depend on ant1.7 | ant (<< 1.8.0~) (closes: #571397)

 -- Rene Engelhard <rene@debian.org>  Thu, 04 Mar 2010 18:06:03 +0100

writer2latex (1.0-9) unstable; urgency=low

  * update for OOo 3.2

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2010 13:10:20 +0100

writer2latex (1.0-8) unstable; urgency=low

  * oops, actually build with -15...

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Feb 2010 01:06:23 +0100

writer2latex (1.0-7) unstable; urgency=low

  * fix clean install to not split out dpkg --compare-versions
    warning (closes: #568713)
  * restore lost bits in preinst (closes: #568805)

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Feb 2010 00:55:26 +0100

writer2latex (1.0-6) unstable; urgency=low

  * add missing Pre-Depends on Java and openoffice.org-java-common
  * as the Pre-Depends on -java-common doesn't prevent -common being
    temporarily removed in the upgrade (and we don't have unopkg then...)
    try to recover in postinst from preinst not de-registering the old
    extension.

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Feb 2010 23:13:59 +0100

writer2latex (1.0-5) unstable; urgency=medium

  * stop pre-depending on openoffice.org-common for openoffice.org/running.
    This closes: #566644.
    Rename to shared/openofficeorg-running and merge here.
  * add echos instead of debconf message on DEBIAN_FRONTEND = noninteractive
    so that people in that case also know what goes on
  * remove unneeded postrms, dh_installdebconf already does it for us
  * fix debian/NEWS to have correct version number; thanks lintian
  * rebuild with openoffice.org-dev 1:3.1.1-15

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jan 2010 09:15:59 +0100

writer2latex (1.0-4) unstable; urgency=medium

  * rebuild with OOo 3.1.1-14 to get a uncorrupted .rdb
  * add missing .lock to find_running_ooo to actually check for the extistence
    of the lockfile and not for the profile dir, thanks Chris Cheney
  * adapt for java-gcj-compat-dev -> gcj-jdk

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Jan 2010 17:15:17 +0100

writer2latex (1.0-3) unstable; urgency=low

  * debian/openoffice.org-writer2latex.prerm: actually source confmodule...

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Oct 2009 12:02:01 +0200

writer2latex (1.0-2) unstable; urgency=low

  * check whether OOo is running and show error openoffice.org/running if it
    is - as in openoffice.org-common. pre-depend on
    openoffice.org-common (>= 1:3.1.1-3), debconf (>= 0.5) | debconf-2.0
    and procps. (closes: #527556)

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Oct 2009 15:13:38 +0200

writer2latex (1.0-1) unstable; urgency=low

  * New upstream release
  * run unopkg with -v

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Sep 2009 02:33:25 +0200

writer2latex (1.0~beta3-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Apr 2009 18:29:55 +0200

writer2latex (1.0~beta2-1) experimental; urgency=low

  * New upstream release
  * update Homepage:
  * use /var/lib/openoffice/javasettingsunopkginstall.xml for
    -env:UNO_JAVA_JFW_INSTALL_DATA
  * adapt section of libwriter2latex-java: -> java

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Apr 2009 18:39:20 +0200

writer2latex (0.5.0.2-4) unstable; urgency=low

  * add missing Build-Depends: on ure (closes: #521945)

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Mar 2009 00:47:44 +0200

writer2latex (0.5.0.2-3) unstable; urgency=high

  * $ORIGIN -> $OOO_BASE_DIR

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Mar 2009 02:46:26 +0100

writer2latex (0.5.0.2-2) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Feb 2009 10:03:12 +0100

writer2latex (0.5.0.2-1) experimental; urgency=low

  * New upstream release
  * lintian fixes

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Oct 2008 02:00:55 +0200

writer2latex (0.5.0.1-fix1-1) experimental; urgency=low

  * New upstream release
    - splits the writer2xhtml part into an own extension
  * debian/patches/01_dirs.dpatch: make generic to work with OOo 2.4.1 and
    3.0.0

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Jul 2008 16:22:15 +0200

writer2latex (0.5-8) unstable; urgency=high

  * add missing Depends: on ${misc:Depends} for writer2latex
    (closes: #490138)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2008 00:28:21 +0200

writer2latex (0.5-7) unstable; urgency=high

  * fix debian/copyright; ooomath.sty is LPPL, actually mention that

 -- Rene Engelhard <rene@debian.org>  Wed, 09 Jul 2008 15:40:16 +0200

writer2latex (0.5-6) unstable; urgency=low

  * add missing -env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1 to the prerm
    unopkg call, hopefully closes: #468202, please reopen if not

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Feb 2008 14:11:44 +0100

writer2latex (0.5-5) unstable; urgency=low

  * build-depend on openoffice.org-java-common (closes: #46760)

 -- Rene Engelhard <rene@debian.org>  Tue, 26 Feb 2008 15:53:46 +0100

writer2latex (0.5-4) unstable; urgency=low

  * upload to unstable
  * add bug script running unopkg list

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Feb 2008 12:37:10 +0100

writer2latex (0.5-3) experimental; urgency=low

  * debian/shell-lib.sh:
    - run unopkg with -env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1 because
      otherwise the first run with gcj won't find a JRE (and might fail the
      install then). Flush the cache after removing as unopkg doesn't remove
      files on uninstall but marks them as "to-be-removed-on-next-start".
      Thanks Caolan McNamara.

 -- Rene Engelhard <rene@debian.org>  Tue, 04 Dec 2007 17:31:46 +0100

writer2latex (0.5-2) experimental; urgency=low

  * run dh_installtex

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Nov 2007 14:12:01 +0100

writer2latex (0.5-1) experimental; urgency=low

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Nov 2007 10:06:34 +0100
